# A CryptPad profile
class profile::cryptpad (
  String $revision                  = 'main',
  String $http_address              = '127.0.0.1',
  String $http_unsafe_origin        = 'example.com',
  String $http_safe_origin          = 'sandbox.example.com',
  Array  $admin_keys                = [],
  Boolean $log_to_stdout            = true,
  Boolean $manage_nodejs_apt_source = false,
) {

  class { 'profile::cryptpad::install':
    revision                 => $revision,
    http_address             => $http_address,
    http_unsafe_origin       => $http_unsafe_origin,
    http_safe_origin         => $http_safe_origin,
    admin_keys               => $admin_keys,
    log_to_stdout            => $log_to_stdout,
    manage_nodejs_apt_source => $manage_nodejs_apt_source,
  }

  class { 'profile::cryptpad::nginx':
    http_unsafe_origin => $http_unsafe_origin,
  }

  @@profile::letsencrypt::certonly { $http_unsafe_origin:
    domains => [ $http_unsafe_origin, $http_safe_origin ],
    tag     => $::domain,
  }

}
