# Nginx config for CryptPad
class profile::cryptpad::nginx (
  String $http_unsafe_origin = 'example.com',
) {

  if ! defined(Class['profile::nginx']) {
    include profile::nginx
  }

  nginx::resource::server { $http_unsafe_origin:
    www_root             => '/srv/cryptpad/cryptpad',
    use_default_location => false,
    index_files          => [],
    locations            => {
      '^~ /customize.dist/' => {
        www_root    => undef,
        index_files => [],
      },
      '^~ /customize/'      => {
        index_files   => [],
        rewrite_rules => [ '^/customize/(.*)$ $1 break' ],
        try_files     => [ '/customize/$uri', '/customize.dist/$uri' ],
      },
      '^~ /blob/'           => {
        index_files => [],
        try_files   => [ '$uri', '=404' ],
      },
      '^~ /block/'          => {
        index_files => [],
        try_files   => [ '$uri', '=404' ],
      },
      '/'                   => {
        index_files => [],
        try_files   => [
          '/www/$uri',
          '/www/$uri/index.html',
          '/customize/$uri',
        ],
      }
    }
  }

}
